export default {
  numeric: {
    bind(el, binding, vnode) {
      el.oninput = function (e) {
        if (!e.isTrusted) return

        // 获取输入框的当前值
        let value = el.value

        // 移除非数字的字符
        value = value.replace(/\D/g, '')

        // 如果输入框值为空或者第一个字符是0且不只有0一个字符，则设置为空
        if (value === '' || (value[0] === '0' && value.length > 1)) {
          value = ''
        }

        // 更新输入框的值
        el.value = value
      }
    },
    unbind(el) {
      el.oninput = null
    }
  }
}